## org.omg.PortableServer.POAPackage
Class AdapterNonExistentHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.AdapterNonExistentHelper

public class AdapterNonExistentHelper
extends java.lang.Object

Helper class for : AdapterNonExistent

Author:
  OpenORB Compiler

Constructor Summary
`AdapterNonExistentHelper()`

Method Summary
`static AdapterNonExistent` `extract(Any a)` Extract AdapterNonExistent from an any
`static java.lang.String` `id()` Return the AdapterNonExistent IDL ID
`static void` `insert(Any a, AdapterNonExistent t)` Insert AdapterNonExistent into an any
`static AdapterNonExistent` `read(InputStream istream)` Read AdapterNonExistent from a marshalled stream
`static TypeCode` `type()` Return the AdapterNonExistent TypeCode
`static void` `write(OutputStream ostream, AdapterNonExistent value)` Write AdapterNonExistent into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdapterNonExistentHelper

    public AdapterNonExistentHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AdapterNonExistent t)

  Insert AdapterNonExistent into an any
  Parameters:
    `a` - an any
    `t` - AdapterNonExistent value

### extract

    public static AdapterNonExistent extract(Any a)

  Extract AdapterNonExistent from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AdapterNonExistent value

### type

    public static TypeCode type()

  Return the AdapterNonExistent TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AdapterNonExistent IDL ID
  Returns:
    an ID

### read

    public static AdapterNonExistent read(InputStream istream)

  Read AdapterNonExistent from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AdapterNonExistent value

### write

    public static void write(OutputStream ostream,
                             AdapterNonExistent value)

  Write AdapterNonExistent into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AdapterNonExistent value